API referenceCampaign
Retrieves a Campaign resource.
Retrieves a Campaign resource.
GET
/api/campaigns/{id}curl -X GET "/api/campaigns/{id}" \
-H "apikey: $MEDIALISTER_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Parameters
idstringpathrequiredCampaign identifier
Response
application/ld+json
Campaign resource
@contextone of@idstringrequired@typestringrequiredidstring<uuid>namestringrequireddefaultProjectstringgoalstringrequiredgoalDetailsstringdomainstring | nullbudgetenum<integer> | nullOne of:01234publishingPeriodenum<integer> | nullOne of:01324regionsany[]notificationsCountintegerDefault:0totalOrderCountintegerDefault:0createdAtstring<date-time>updatedAtstring<date-time>onBoardingOnboarding.jsonld-campaign.read_all.read | nulllocationsListmap of GeoLocation.jsonld-campaign.read_all.read
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Campaign Name",
"defaultProject": "/api/default_projects/uuid",
"goal": "My Goal",
"goalDetails": "seo-in-new-articles",
"domain": "string",
"budget": 0,
"publishingPeriod": 0,
"regions": [
"dXJuOm1ieHBsYzpSRUk",
"dXJuOm1ieHBsYzpSRUd"
],
"notificationsCount": 0,
"totalOrderCount": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"onBoarding": {
"@context": "string",
"@id": "string",
"@type": "string",
"textSubmittedOn": "2026-01-15T09:30:00Z",
"textReviewedOn": "2026-01-15T09:30:00Z",
"textPublishedOn": "2026-01-15T09:30:00Z",
"isOrderMade": false,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z"
},
"locationsList": {
"key": {
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"providerId": "string",
"type": 0,
"placeName": "London",
"code": "string",
"showFirst": false,
"priority": 0,
"createdAt": "2026-01-15T09:30:00Z",
"updatedAt": "2026-01-15T09:30:00Z",
"stripeVerificationSupported": true,
"typeDisplay": 0
}
}
}